aboutsummaryrefslogtreecommitdiffstats
path: root/meta-efl
Commit message (Collapse)AuthorAgeFilesLines
* fido README: update maintainers listArmin Kuster2015-04-131-6/+7
| | | | Signed-off-by: Armin Kuster <akuster808@gmail.com>
* e-wm: upgrade to 0.19.4Martin Jansa2015-04-132-4/+4
| | | | | | | * announcement: https://phab.enlightenment.org/phame/live/3/post/e19_4_release/ Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* efl,elementary,evas-generic-loaders: upgrade to 1.13.2Martin Jansa2015-04-136-44/+18
| | | | | | | | * announcements: https://phab.enlightenment.org/phame/live/3/post/efl_and_elementary_1_13_1_release/ https://phab.enlightenment.org/phame/live/3/post/efl_elementary_and_evas_generic_loaders_1_13_2_release/ Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* mcnavi: blacklist, isn't compatible with latest edje_ccMartin Jansa2015-03-101-0/+6
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* lightmediascanner: Fix SRC_URISven Ebenfeld2015-03-031-4/+4
| | | | | Signed-off-by: Sven Ebenfeld <sven.ebenfeld@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* e-wm: upgrade to 0.19.3Martin Jansa2015-03-033-4/+34
| | | | | | | * announcement: https://phab.enlightenment.org/phame/live/3/post/e19_3_release/ Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* terminology: upgrade to 0.8.0Martin Jansa2015-02-273-10/+10
| | | | | | | * announcement: https://phab.enlightenment.org/phame/live/3/post/terminology_0_8/ Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* entrance, diskio: blacklistMartin Jansa2015-02-272-0/+4
| | | | | | * they are old and now incompatible with edje_cc from 1.13.0 Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* python-efl: upgrade to 1.13.0Martin Jansa2015-02-273-6/+6
| | | | | | | * announcement: https://phab.enlightenment.org/phame/live/3/post/python_efl_1_13_0_release/ Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* efl, elementary, emotion-generic-players, evas-generic-loaders: Upgrade to ↵Martin Jansa2015-02-2710-37/+69
| | | | | | | | | 1.13.0 * announcement: https://phab.enlightenment.org/phame/live/3/post/efl_1_13_is_out/ Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* efl, elementary: upgrade to 1.12.2Martin Jansa2015-01-082-4/+4
| | | | | | | * announcement: https://phab.enlightenment.org/phame/live/3/post/efl_and_elementary_1_12_2_releases/ Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* e-wm: upgrade to 0.19.2Martin Jansa2015-01-084-38/+7
| | | | | | | * announcement: https://phab.enlightenment.org/phame/live/3/post/e19_2_release/ Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* epdf: Fix LICENSE formatMartin Jansa2015-01-081-1/+1
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* meta-efl: use MIT & BSD licenseMartin Jansa2014-12-3118-18/+18
| | | | | | * add & operator Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* elbow: replace eveMartin Jansa2014-12-174-245/+24
| | | | | | * ewebkit1 was dropped in latest webkit-efl, elbow is based on ewebkit2 Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* webkit-efl: upgrade to 1.11.0Martin Jansa2014-12-1713-421/+287
| | | | | | | | | * webkit-efl snapshots are now versioned consistenly with efl bump PE to prevent version going backwards * announcement: http://sourceforge.net/p/enlightenment/mailman/message/32713414/ Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* python-efl: Upgrade to 1.12.0Martin Jansa2014-12-173-7/+8
| | | | | | | * announcement https://phab.enlightenment.org/phame/post/view/98/ Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* efl, elementary, emotion-generic-players, evas-generic-loaders: upgradeMartin Jansa2014-12-1710-29/+87
| | | | | | | | | | to 1.12.* * announcements: https://phab.enlightenment.org/phame/post/view/96/ https://phab.enlightenment.org/phame/post/view/99/ Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* meta-efl: Add LAYERVERSION and LAYERDEPENDSJackie Huang2014-11-281-0/+6
| | | | | | | According to README, it depends on oe-core and openembedded-layer Signed-off-by: Jackie Huang <jackie.huang@windriver.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* efl, elementary, e-wm: upgrade to 1.11.4 and 0.19.1Martin Jansa2014-10-273-6/+6
| | | | | | | | * announcements: https://phab.enlightenment.org/phame/live/3/post/efl_elementary_1_11_3_and_enlightenment_0_19_1_releases/ https://phab.enlightenment.org/phame/live/3/post/efl_and_elementary_1_11_4_releases/ Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* terminology: upgrade from 0.5.1 to 0.7.0Martin Jansa2014-10-272-8/+8
| | | | | | | | | * announcements: https://phab.enlightenment.org/phame/live/3/post/terminology_0_6_codename_space_shuttle_just_took_off/ https://phab.enlightenment.org/phame/live/3/post/terminology_0_6_1/ https://phab.enlightenment.org/phame/live/3/post/terminology_0_7/ Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* efl: add dependency on libxdamageMartin Jansa2014-10-061-1/+1
| | | | | | | * as reported by Pieter, it's usually pulled through gstreamer1.0 which is enabled by default, but when disable it can fail to find Xdamage.h Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* efl, elementary, elvas-generic-loaders: upgrade to 1.11.2Martin Jansa2014-10-064-12/+12
| | | | | | | * announcement: https://phab.enlightenment.org/phame/post/view/85/ Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* python-efl: upgrade to 1.11.0Martin Jansa2014-10-062-4/+4
| | | | | | | * announcement: https://phab.enlightenment.org/phame/post/view/86/ Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* e-wm: add recipe for 0.19.0 but with negative D_PMartin Jansa2014-10-061-0/+20
| | | | | | | * announcement: https://phab.enlightenment.org/phame/post/view/87/ Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* e-wm: add git recipe with latest revisionMartin Jansa2014-08-274-6/+48
| | | | | | | | | | | | * E19 is still in alpha stage, but I was told that many things work there better than old(ish) E18 * last announcement: https://phab.enlightenment.org/phame/live/3/post/e19_alpha2_now_with_50_more_explosions/ * but be aware that illume2 modules are gone and config mobile doesn't work without them * there is new tiling config Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* e-wm: add efreet, evas-generic-loader-svg runtime recommendationMartin Jansa2014-08-272-0/+3
| | | | | | | | | | | | | | | * resolves: ERR<efreet_cache>lib/efreet/efreet_cache.c:1108 org.freedesktop.DBus.Error.ServiceUnknown The name org.enlightenment.Efreet was not provided by any .service files E: efreet couldn't build cache and Enlightenment found Evas can't load SVG files. Check Evas has SVG loader support. Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* python-efl: upgrade to 1.10.1Martin Jansa2014-08-232-4/+4
| | | | | | | | | | | | | | | | | | | | | | = Changes since 1.10.0 = Kai Huuhko (7): - warnings-- - Documentation: warnings-- - Elementary.multibuttonentry: Inject a Python object to created items - Elementary.entry: Fix ref leak in filter callback handling. - Elementary: Fix object item tooltips - Fix build from tarball with Cython installed - Bump version number for release 1.10.1 davemds (1): - Fix emotion.__repr__ function godfath3r (1): - doc: add cleanup command in INSTALL file. Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* efl: upgrade to 1.11.0Martin Jansa2014-08-238-23/+35
| | | | | | | | * announcement: https://phab.enlightenment.org/phame/post/view/74/ https://phab.enlightenment.org/phame/post/view/77/ Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* e-wm: upgrade to 0.18.8Martin Jansa2014-08-211-2/+2
| | | | | | | | | | | | | Changes since 0.18.7: * screenshot now displays a helpful error message when it fails * efm no longer sometimes shows files from other directories * efm no longer sometimes shows blank filenames * fix syscon button signals * fix winlist scrolling * fix systray appindicator deletion * fix systray appindicator icon loading Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* packagegroups: Remove deprecated "task" backward compatibilityRobert P. J. Day2014-08-153-9/+0
| | | | | Signed-off-by: Robert P. J. Day <rpjday@crashcourse.ca> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* efl, expedite: explicitly add some packages, add libsdl dependencyMartin Jansa2014-08-112-4/+2
| | | | | | | | | | | | | * expedite has runtime dependency on them and insane_qa check doesn't see them as provided by evas dependency and shows following warnings: expedite-1.7.9: expedite rdepends on evas-engine-software-generic, but it isn't a build dependency? [build-deps] expedite-1.7.9: expedite rdepends on evas-engine-fb, but it isn't a build dependency? [build-deps] expedite-1.7.9: expedite rdepends on evas-loader-png, but it isn't a build dependency? [build-deps] * always use libsdl dependency instead of PACKAGECONFIG, because there is also software-sdl engine, which isn't controlled by any configure option Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* expedite: remove unrecognized configure optionsMartin Jansa2014-08-111-3/+0
| | | | | | | | | * fixes following QA warnings: expedite-1.7.9: expedite: configure was passed unrecognised options: --disable-software-16-ddraw --disable-software-sdl --disable-opengl-glew [unknown-configure-option] Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* engrave: add dependency on flexMartin Jansa2014-08-111-1/+1
| | | | | | | * fixes following floating dependencies: WARN: engrave: engrave rdepends on flex but it isn't a build dependency? Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* python-efl: add git versionMartin Jansa2014-07-241-0/+8
| | | | | | | | | | | | | | | | | | | | * the tarball is missing .pxd files and re-building with our python-cython fails with: | Compiling efl/elementary/scroller.pyx because it depends on /OE | Error compiling Cython file: | ------------------------------------------------------------ | ... | from libc.stdint cimport uintptr_t | import traceback | from efl.eo cimport Eo, PY_REFCOUNT | from efl.utils.conversions cimport _ctouni | from cpython cimport Py_INCREF, Py_DECREF | cimport efl.ecore.enums as enums | ^ | ------------------------------------------------------------ | | efl/ecore/__init__.pyx:221:8: 'efl.ecore.enums.pxd' not found Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* webkit-efl: Fix type-limits warningMartin Jansa2014-07-223-1/+34
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* efl: Use automake foreign for ↵Richard Purdie2014-07-2220-7/+161
| | | | | | cpu/elmdentica/enjoy/ephoto/exalt-client/flame/forecasts/places/rain/uptime Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* engrave: Use autotools-brokensep to avoid build failuresRichard Purdie2014-07-221-1/+1
| | | | Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* efl, elementary: upgrade to 1.10.2Martin Jansa2014-07-222-4/+4
| | | | | | | * announcement: https://phab.enlightenment.org/phame/post/view/69/ Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* meta-python: move recipes from meta-oeTim Orling2014-07-221-0/+1
| | | | | | | | | | | | | | | | | * Move recipes from meta-openembedded/meta-oe that are not depended upon by recipes already in meta-oe (e.g. gateone, anki) * Recipes NOT moved: python-futures python-pyopenssl python-simplejson python-tornado python-pyqt python-sip Signed-off-by: Tim Orling <TicoTimo@gmail.com> Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* mcnavi: add missing dependency on intltool-nativeMartin Jansa2014-07-221-1/+1
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* efl, elementary: upgrade to 1.10.1Martin Jansa2014-07-212-4/+4
| | | | | | | * announcement: https://phab.enlightenment.org/phame/post/view/63/ Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* claws-mail: Fix build with B!=SMartin Jansa2014-07-211-0/+3
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* imlib2: upgrade to use pkg-config for freetype2 supportMartin Jansa2014-07-152-9/+5
| | | | | | | | | | | | | | | | | * convert from old svn repo to new (legacy) git repo * fixed upstream: commit fe82b9760c7ceb25747c6e634bc827b4cc8ecabd Author: Kim Woelders <kim@woelders.dk> Date: Thu Jul 4 20:08:53 2013 +0200 Autofoo updates. - Eliminate deprecated AC_TRY_CPP. - Use pkg-config in stead of freetype-config to get freetype info. - Eliminate my_includes/my_libs. - Clean up include paths. Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* layer.conf: Exclude some theme dependencies from siggenMartin Jansa2014-07-151-0/+12
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* packagegroup-efl-sdk: Use luajit instead of lua5.1Martin Jansa2014-06-211-1/+1
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* efl: use luajit by defaultMartin Jansa2014-06-211-9/+3
| | | | | | | | * lua-old is less tested and supported by upstream and luajit seems to work OK with 1.10.0 * luajit will be hard dependency with elua Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* python-efl: upgrade to 1.10.0Martin Jansa2014-06-213-5/+10
| | | | | | | * announcement: https://phab.enlightenment.org/phame/post/view/60/ Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* efl: add PACKAGECONFIG for c++11 and disable it by defaultMartin Jansa2014-06-211-0/+3
| | | | Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
* efl, elementary: upgrade to 1.10.0Martin Jansa2014-06-2111-37/+59
| | | | | | | | | * announcement: https://phab.enlightenment.org/phame/post/view/59/ * evas-generic-loaders LIC_FILES_CHKSUM change is only from formal changes in 'license: update FSF address.' commit Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>